Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 555378 - app-emulation/virtualbox-4.3.28: hardened QA concerns: textrels and execstacks
Summary: app-emulation/virtualbox-4.3.28: hardened QA concerns: textrels and execstacks
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-19 18:38 UTC by tharvik
Modified: 2019-04-29 08:17 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (virtualbox.info,15.51 KB, application/x-info)
2015-07-19 18:38 UTC, tharvik
Details
build.log (virtualbox.log.gz,333.58 KB, application/gzip)
2015-07-19 18:41 UTC, tharvik
Details
emerge -pqv (virtualbox.pvq,192 bytes, text/plain)
2015-07-19 18:41 UTC, tharvik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tharvik 2015-07-19 18:38:07 UTC
app-emulation/virtualbox-4.3.28 fail to emerge on hardened because of QA concerns (textrels and execstacks).

> textrels
> * TEXTREL usr/lib64/virtualbox/VBoxRT.so

> execstacks
> * --X --- --- usr/lib64/virtualbox/VMMR0.r0
> * --X --- --- usr/lib64/virtualbox/VMMGC.gc


Reproducible: Always

Steps to Reproduce:
1. eselect profile set 15 (hardened/linux/amd64/selinux)
2. emerge =app-emulation/virtualbox-4.3.28
Actual Results:  
 * QA Notice: The following files contain runtime text relocations
 *  Text relocations force the dynamic linker to perform extra
 *  work at startup, waste system resources, and may pose a security
 *  risk.  On some architectures, the code may not even function
 *  properly, if at all.
 *  For more information, see:
 *
 *    https://wiki.gentoo.org/wiki/Hardened/HOWTO_locate_and_fix_textrels
 *
 *  Please include the following list of files in your report:
 * TEXTREL usr/lib64/virtualbox/VBoxRT.so
 * QA Notice: The following files contain writable and executable sections
 *  Files with such sections will not work properly (or at all!) on some
 *  architectures/operating systems.  A bug should be filed at
 *  http://bugs.gentoo.org/ to make sure the issue is fixed.
 *  For more information, see:
 *
 *    https://wiki.gentoo.org/wiki/Hardened/GNU_stack_quickstart
 *
 *  Please include the following list of files in your report:
 *  Note: Bugs should be filed for the respective maintainers
 *  of the package in question and not hardened@g.o.
 * --X --- --- usr/lib64/virtualbox/VMMR0.r0
 * --X --- --- usr/lib64/virtualbox/VMMGC.gc
 * ERROR: app-emulation/virtualbox-4.3.28::gentoo failed:
 *   Aborting due to QA concerns:  textrels, execstacks
 *
 * Call stack:
 *     misc-functions.sh, line 592:  Called install_qa_check
 *     misc-functions.sh, line 217:  Called source 'install_symlink_html_docs'
 *   10executable-issues, line 143:  Called elf_check
 *   10executable-issues, line 138:  Called die
 * The specific snippet of code:
 *                      die "Aborting due to QA concerns: ${die_msg}"
 *
 * If you need support, post the output of `emerge --info '=app-emulation/virtualbox-4.3.28::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=app-emulation/virtualbox-4.3.28::gentoo'`.


Expected Results:  
Emerge without QA concerns.
Comment 1 tharvik 2015-07-19 18:38:37 UTC
Created attachment 407172 [details]
emerge --info
Comment 2 tharvik 2015-07-19 18:41:22 UTC
Created attachment 407174 [details]
build.log
Comment 3 tharvik 2015-07-19 18:41:39 UTC
Created attachment 407176 [details]
emerge -pqv
Comment 4 cronolio 2016-06-30 03:57:09 UTC
[ebuild   R   ~] app-emulation/virtualbox-5.0.20::gentoo  USE="alsa opengl pam pulseaudio qt4 sdk udev -debug -doc -headless -java -libressl -lvm -python -vboxwebsrv -vnc" PYTHON_TARGETS="python2_7" 0 KiB

* QA Notice: The following files contain runtime text relocations
 *  Text relocations force the dynamic linker to perform extra
 *  work at startup, waste system resources, and may pose a security
 *  risk.  On some architectures, the code may not even function
 *  properly, if at all.
 *  For more information, see:
 * 
 *    https://wiki.gentoo.org/wiki/Hardened/HOWTO_locate_and_fix_textrels
 * 
 *  Please include the following list of files in your report:
 * TEXTREL usr/lib64/virtualbox/VBoxRT.so


 * QA Notice: The following files contain writable and executable sections
 *  Files with such sections will not work properly (or at all!) on some
 *  architectures/operating systems.  A bug should be filed at
 *  http://bugs.gentoo.org/ to make sure the issue is fixed.
 *  For more information, see:
 * 
 *    https://wiki.gentoo.org/wiki/Hardened/GNU_stack_quickstart
 * 
 *  Please include the following list of files in your report:
 *  Note: Bugs should be filed for the respective maintainers
 *  of the package in question and not hardened@g.o.
 * --X --- --- usr/lib64/virtualbox/VMMR0.r0
 * --X --- --- usr/lib64/virtualbox/VMMRC.rc

but not hardened profile and installation finish with this
Comment 5 cronolio 2016-07-14 12:03:55 UTC
(In reply to cronolio from comment #4)
> [ebuild   R   ~] app-emulation/virtualbox-5.0.20::gentoo  

app-emulation/virtualbox-5.1.0 << still
Comment 6 tonemgub 2018-07-29 13:23:35 UTC
Still affecting app-emulation/virtualbox-5.2.16:


* QA Notice: The following files contain runtime text relocations
 *  Text relocations force the dynamic linker to perform extra
 *  work at startup, waste system resources, and may pose a security
 *  risk.  On some architectures, the code may not even function
 *  properly, if at all.
 *  For more information, see:
 * 
 *    https://wiki.gentoo.org/wiki/Hardened/HOWTO_locate_and_fix_textrels
 * 
 *  Please include the following list of files in your report:
 * TEXTREL usr/lib64/virtualbox/VBoxRT.so


 * QA Notice: The following files contain writable and executable sections
 *  Files with such sections will not work properly (or at all!) on some
 *  architectures/operating systems.  A bug should be filed at
 *  https://bugs.gentoo.org/ to make sure the issue is fixed.
 *  For more information, see:
 * 
 *    https://wiki.gentoo.org/wiki/Hardened/GNU_stack_quickstart
 * 
 *  Please include the following list of files in your report:
 *  Note: Bugs should be filed for the respective maintainers
 *  of the package in question and not hardened@g.o.
 * --X --- --- usr/lib64/virtualbox/VMMR0.r0



 * QA Notice: Pre-stripped files found:
 * /usr/lib64/virtualbox/VBoxDD2R0.r0
strip: x86_64-pc-linux-gnu-strip --strip-unneeded -R .comment -R .GCC.command.line -R .note.gnu.gold-version
   usr/lib64/virtualbox/components/VBoxSVCM.so
   usr/lib64/virtualbox/components/VBoxXPCOMIPCC.so
   usr/lib64/virtualbox/VBoxExtPackHelperApp
   usr/lib64/virtualbox/components/VBoxC.so
   usr/lib64/virtualbox/VBoxManage
   usr/lib64/virtualbox/VBoxSVC
   usr/lib64/virtualbox/VBoxTunctl
   usr/lib64/virtualbox/VBoxXPCOMIPCD
   usr/lib64/virtualbox/DbgPlugInDiggers.so
   usr/lib64/virtualbox/VBoxAuth.so
   usr/lib64/virtualbox/VBoxAuthSimple.so
   usr/lib64/virtualbox/VBoxDD.so
   usr/lib64/virtualbox/VBoxDD2.so
   usr/lib64/virtualbox/VBoxDDU.so
   usr/lib64/virtualbox/VBoxDbg.so
   usr/lib64/virtualbox/VBoxDragAndDropSvc.so
   usr/lib64/virtualbox/VBoxGuestControlSvc.so
   usr/lib64/virtualbox/VBoxGuestPropSvc.so
   usr/lib64/virtualbox/VBoxHeadless.so
   usr/lib64/virtualbox/VBoxHostChannel.so
   usr/lib64/virtualbox/VBoxKeyboard.so
   usr/lib64/virtualbox/VBoxNetDHCP.so
   usr/lib64/virtualbox/VBoxNetNAT.so
   usr/lib64/virtualbox/VBoxOGLhostcrutil.so
   usr/lib64/virtualbox/VBoxOGLhosterrorspu.so
   usr/lib64/virtualbox/VBoxOGLrenderspu.so
   usr/lib64/virtualbox/VBoxREM.so
   usr/lib64/virtualbox/VBoxRT.so
   usr/lib64/virtualbox/VBoxSDL.so
   usr/lib64/virtualbox/VBoxSharedClipboard.so
   usr/lib64/virtualbox/VBoxSharedCrOpenGL.so
   usr/lib64/virtualbox/VBoxSharedFolders.so
   usr/lib64/virtualbox/VBoxVMMPreload.so
   usr/lib64/virtualbox/VBoxVMM.so
   usr/lib64/virtualbox/VBoxXPCOM.so
   usr/lib64/virtualbox/VBoxXPCOMC.so
   usr/lib64/virtualbox/VirtualBox.so
   usr/lib64/virtualbox/VBoxDDR0.r0
   usr/lib64/virtualbox/VMMR0.r0
   usr/lib64/virtualbox/VBoxHeadless
   usr/lib64/virtualbox/VBoxNetAdpCtl
   usr/lib64/virtualbox/VBoxNetDHCP
   usr/lib64/virtualbox/VBoxNetNAT
   usr/lib64/virtualbox/VBoxSDL
   usr/lib64/virtualbox/VirtualBox
   usr/lib64/virtualbox/VBoxTestOGL
Comment 7 Lars Wendler (Polynomial-C) gentoo-dev 2019-04-29 08:17:31 UTC
@hardened team: can you please help with this bug?